//
//  SolidsViewController.h
//  Solids
//
//  Created by Michael Heyeck on 2/5/11.
//  Copyright 2011 Fair Oaks Labs, Inc. All rights reserved.
//

#import <UIKit/UIKit.h>

#import <OpenGLES/EAGL.h>

#import <OpenGLES/ES1/gl.h>
#import <OpenGLES/ES1/glext.h>
#import <OpenGLES/ES2/gl.h>
#import <OpenGLES/ES2/glext.h>

#import "TapDetectingView.h"

struct Polyhedron;

@interface SolidsViewController : UIViewController <TapDetectingViewDelegate>
{
    EAGLContext *context;
    GLuint program;
	
	struct Polyhedron* polyhedra;
	int numPolyhedra;
	int currentPolyhedron;
    
    BOOL animating;
    NSInteger animationFrameInterval;
    CADisplayLink *displayLink;
}

@property (readonly, nonatomic, getter=isAnimating) BOOL animating;
@property (nonatomic) NSInteger animationFrameInterval;

- (void)startAnimation;
- (void)stopAnimation;

@end
