//
//  gluPerspective.m
//  Solids
//
//  Created by Michael Heyeck on 2/8/11.
//  Copyright 2011 Fair Oaks Labs, Inc. All rights reserved.
//


#include "glux.h"


void gluPerspective(GLfloat fovy, GLfloat aspect,
					GLfloat zNear, GLfloat zFar)
{
	GLfloat y, x;

	// Bounds
	if ((fovy >= 180.0) || (fovy <= 0.0) || (aspect <= 0) || (zNear <= 0.0) || (zFar <= 0.0))
	{
		return;
	}

	// tan(fovy/2) == y/zNear
	y = tanf(fovy*M_PI/360.0f) * zNear;

	// x/y == aspect
	x = y  * aspect;

	// Set the frustrum
	glFrustumf(-x, x, -y, y, zNear, zFar);
}
